Results 1 to 7 of 7

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: iPhone 3G 8GB on OS 2.1 BB 02.11.07

  1. #1
    Default iPhone 3G 8GB on OS 2.1 BB 02.11.07
    So I got a new 3G today on old firmware. I need to get this phone unlocked and so far only see QuickPwn 2.1 to jailbreak but I think this will update baseband since i'm using itunes to do it.
    Any help or suggestions??
    Thanks guys

  2. #2
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    You have a very old 3G, nice

    So, the first thing is to get the baseband updated to 4.26.x. Using a standard apple 3.0 firmware will do the trick.

    Next download ulttasn0w and make sure your unlock/signal is good.

    Then you can use Pwnagetool or Snowbreeze, build a custom 4.1 firmware, use PT/SB for DFU mode, and load w/iTunes Baseband is not changed, firmware is updated.

    Then ultrasn0w for the unlock and you're finished.

    It's highly recommended to set-up phone as new when upgrading major versions.

    Neither 3.x OR 4.1 firmware require any special SHSH blobs. 3.x isn't used, 4.1 is currently being signed.

    Once you're finished (even before is ok too), use Tiny Umbrella to save 4.1 SHSH blobs
    Last edited by Mes; 2010-11-17 at 05:13 AM. Reason: Automerged Doublepost

  3. #3
    Doing the regular shift+restore will not update baseband to 2.10?

  4. #4
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    Note2: To load firmware w/iTunes, don't forget option/click Mac, or shift/click PC and select the firmware YOU want, else iTunes will load a current standard firmware -not good!

    Yes, but ultrasn0w unlocks 4.26.x minimum baseband.

    Yellowsn0w unlocked the older basebands -- it may be compatible w/4.x but no longer supported. I'm not even sure yellowsn0w is available on Cydia

    Note3: Just to be absolutely clear. It's recommended to get your baseband to 4.26.x minimum so you can use ultrasn0w unlock. Older basebands + yellowsn0w were for firmware 2.x and below.

    If you ever want to return to 2.x firmware (I have not idea why you would) then stay put, else 4.26.x is perfect for 3.x and 4.x firmware.
    Last edited by Mes; 2010-11-17 at 05:44 AM. Reason: Automerged Doublepost

  5. #5
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    For 3g, 3.1.3 is the best for speed and performance if you don't care about the new feature like folder option and multitask.
    If you want 3.1.3, do the shift + restore to 3.1.3 and jailbreak with Redsn0w 0.9.4 but browse to 3.1.2. Unlock with Ultrasn0w from Cydia.

    For 4.1, you have to watch your memory usage, if you have reached your limit of 128 mb of ram usage, your iphone will freeze.
    Last edited by iYeow; 2010-11-17 at 05:56 AM. Reason: Automerged Doublepost

  6. #6
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    ^iYeow ... also work great ... although 3.1.2/3.1.3 updates the baseband higher than 4.26.x.

    Very likely no issue. Ultrasn0w unlocks 4.26.x through 5.13.x.

    Some of us, prefer to keep the minimum baseband version on our iPhone -- hense the Pwnage/Sn0wbreeze tools. Why? There are always more unlocking options with earlier basebands
    Last edited by Mes; 2010-11-17 at 06:19 AM.

  7. #7
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    You can try out 4.1 first, if you don't like it, then you can always downgrade to 3.1.3 as 3g doesn't require shsh blogs for firmware 3.xx

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •